Orders
Place and manage customer orders.
Authorizations
AuthorizationstringRequired
Pass your API key as a Bearer token in the Authorization header.
Responses
200
An array of orders.
application/json
idinteger · int64Optional
Unique order identifier.
petIdinteger · int64Optional
The ID of the animal in this order.
quantityintegerOptional
Number of units ordered.
shipDatestring · date-timeOptional
Expected or actual ship date in ISO 8601 format.
completebooleanOptional
Whether the order has been fulfilled.
401
Missing or invalid API key.
application/json
get/store/orders
curl -L https://petstore.example.com/v1/store/orders \
-H 'Authorization: Bearer YOUR_API_KEY'
[
{
"id": 1,
"petId": 1,
"quantity": 1,
"shipDate": "2026-01-01T00:00:00.000Z",
"complete": true
}
]Authorizations
AuthorizationstringRequired
Pass your API key as a Bearer token in the Authorization header.
Path parameters
orderIdinteger · int64Required
The ID of the order to cancel.
Responses
204
Order cancelled successfully.
No content
401
Missing or invalid API key.
application/json
404
The requested resource could not be found.
application/json
409
Order cannot be cancelled — it has already shipped.
delete/store/orders/{orderId}
curl -L -X DELETE https://petstore.example.com/v1/store/orders/42 \
-H 'Authorization: Bearer YOUR_API_KEY'
No content
Last updated
Was this helpful?